Wordpress plugin error : "headers already sent"

Rory_A

Administrator
Staff member
#1
Hi,

Please accept our deepest apologies for any inconvenience. Earlier today we released an update for the Wordpress plugin which is causing an error ("headers already sent"). We've just tested and released an updated plugin which seems to be working normally. Try to use this plugin and let us know if you have any issues.

https://wordpress.org/plugins/official-statcounter-plugin-for-wordpress/

Thanks for using StatCounter.

Regards,
Rory
StatCounter Team
 
#2
Hi there,

I can't login to my site because of this error, I get it even for page lighttrick.co.uk/wp-admin so I have no way of getting in and disabling/updating the plugin and my website is partly down in effect. Please advice how to fix it.

Many thanks,
Katariina
 
#3
Access your hosting by FTP, navigate to the subdirectory wp-content/plugins/ and delete the Statcounter plugin.
The you will be able to redownload the latest version and install it. Or grab it from the link Rory gave you, unzip it and upload it to your wp-content/plugins subdirectory.
 
#5
This error is killing me! I deactivated the plugins and it is got the site up but I can’t access the admin area. Getting this:
Warning: Cannot modify header information – headers already sent by (output started at /home/content/f/i/n/finmadden/html/wp-includes/class-walker-page.php:1) in /home/content/f/i/n/finmadden/html/wp-includes/pluggable.php on line 1179
any thoughts?
 
#6
Sorry no idea. In my version of pluggable.php (which is completely up to date) that line is in the middle of a commented out section . Something to do with redirections, probably might get enabled if some redirection plugin is installed which I don't use.
 
Top